Subject: bug#41879: 28.0.50; [Patch]: Add project-switch-to-buffer in project.el

From: Andrii Kolomoiets <[email-masked]>
Date: Fri, 19 Jun 2020 07:50:30 +0300

Theodor Thornhill <[email-masked]> writes:

> you beat me to it.  Sorry for not getting to it faster - life happened
> :)

No problem at all.

> I was struggling a little with the default buffer part, which you
> solved by kinda not solving it.  I was trying to determine in some way
> what buffer would be reasonable to offer as default value if that
> predicate fails.  Maybe it is best to just return nil there as you do.

Or we can pass the predicate function to the `other-buffer` function so
it will return only buffer from the current project too!  We just need
to make `other-buffer` accept predicate first :)

> Thank you for bringing this up - and fixing it!

And thank you for the original command! One local function less ;)